<?php
//En este modelo se encuentran todas las consultas relaizadas en la tabla de Usuarios(Administrador general)
class Promociones_Model extends CI_Model
{ 
  function fetch_data()

{
  $this->db->join('zona','Zona_IdZona = IdZona','inner');
  $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
  $this->db->join('tipopromocion','TipoPromocion_IdTipoPromocion = IdTipoPromocion','inner');
  $this->db->order_by("IdPromociones", "NombrePromocion");
  $query = $this->db->get("promociones");
  return $query->result();
}
  function actiongeneral()
{
  $this->load->model("productos_model");
  $this->load->library("excel");
}
//Consulta que muestra las Franquicias registradas
    public function BuscarTipo(){
     $query = $this->db-> query('SELECT IdTipoPromocion,TipoPromocion FROM tipopromocion'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoPromocion, ENT_QUOTES)] = htmlspecialchars($row->TipoPromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
//consulta que hace la busqueda del usuario dependiendo de la franquicia
    public function buscarportipo($query) {
    $this->db->where('TipoPromocion_IdTipoPromocion', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('promociones');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RPromociones','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RPromociones';
                 </script>";
    }
}  
    public function BuscarZona(){
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}
    public function buscarporzona($query) {
    $this->db->where('Zona_IdZona', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('promociones');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RPromociones','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RPromociones';
                 </script>";
   }
}
    public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}
    public function buscarporcategoria($query) {
    $this->db->where('Categoria_IdCategoria', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('promociones');
    if ($query->num_rows() > 0){
      return $query;
    }else{ 
    // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
    // redirect('reportes/Administrador/RPromociones','refresh');
     echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RPromociones';
                 </script>";
    }
  }
}
